Skip to main content

Get a session

Retrieve a Forward Session by ID.

Request Headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT>

Path Parameters

ParameterTypeRequiredDescription
session_idstringYesSession ID.

Example Request

curl -s -X GET 'https://api.qoder.com.cn/api/v1/forward/sessions/sess_xxx' \
  -H "Authorization: Bearer $QODER_PAT"

Example Response

HTTP 200 OK
{
  "id": "sess_xxx",
  "type": "session",
  "identity_id": "idn_xxx",
  "template": {
    "id": "tmpl_support",
    "type": "template",
    "name": "Support assistant",
    "model": "ultimate",
    "version": 3
  },
  "source_type": "api",
  "status": "running",
  "title": "Customer support session",
  "incremental_streaming_enabled": true,
  "metadata": {
    "source": "web"
  },
  "config": {
    "environment_variables": {
      "API_KEY": "sk-xxx"
    }
  },
  "stats": {
    "active_seconds": 30,
    "duration_seconds": 3600
  },
  "usage": {
    "credits": 12.5
  },
  "created_at": "2026-06-22T10:00:00Z",
  "updated_at": "2026-06-22T11:00:00Z"
}

Response Fields

FieldTypeDescription
Return valueobjectSession object.

Errors

HTTPTypeCodeTrigger
404not_found_errorsession_not_foundSession does not exist or is not visible to the caller.
401authentication_errorauthentication_requiredPAT invalid or expired.

Notes

Get a session - Qoder CN